Package csb :: Package core :: Class Proxy

[frames] | no frames]

# Class Proxy

source code

    object --+
             |
            Proxy

Known Subclasses:
  - io.AutoFlushStream
  - , io.TempFile

Base class implementing the proxy pattern. Subclasses that define a customized constructor must call super().__init__(subject) for proper initialization.

Instance Methods

__getattr__(self, name) | source code

__init__(self, subject) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, subject)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `subject` - an arbitrary object, hidden behind the proxy
Overrides: object.__init__
  (inherited documentation)